cURL
curl --request GET \
--url http://api.quno.ai/api/v1/visibility/get_ranking \
--header 'Authorization: Bearer <token>'import requests
url = "http://api.quno.ai/api/v1/visibility/get_ranking"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://api.quno.ai/api/v1/visibility/get_ranking', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"brand": "<string>",
"brand_id": 123,
"color": "<string>",
"visible_query_count": 123,
"total_query_count": 123,
"percentage_difference": 123,
"overall_visibility": 123,
"position": {
"1": 123,
"2": 123,
"3": 123,
"4": 123,
"5": 123,
"6": 123,
"7": 123,
"8": 123,
"9": 123,
"10": 123
},
"sentiment": {
"positive": 123,
"neutral": 123,
"negative": 123
}
}
]{
"error": 123,
"message": "<string>"
}Visibility
Get Ranking
Returns ranked brand visibility scores and breakdown for a given date range.
GET
/
api
/
v1
/
visibility
/
get_ranking
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Start date in YYYY-MM-DD format
End date in YYYY-MM-DD format
Name of the model to use The specific model to use for analysis
Available options:
chatgpt, perplexity, google-overview, gemini, deepseek, claude Response
Ranking response
Brand name
ID of the brand
Hex color for the brand
Total number of queries where brand was visible
Total number of queries for the given filters
Percentage change within the date range.
Percent of visibility (visible / total queries)
Breakdown of mentions by position (1-10). They will sum up to visible_query_count.
Show child attributes
Show child attributes
Breakdown of sentiment counts. They will sum up to visible_query_count.
Show child attributes
Show child attributes
Was this page helpful?